---
title: Consulta a políticas
slug: consulta-a-politicas
docTags: 
createdAt: 2024-05-06T20:10:19.256Z
---

:::ApiMethodV2
```json
{
  "name": "Listagem de políticas criadas",
  "method": "GET",
  "url": "https://gyra-core.gyramais.com.br/credit-policy/policy",
  "description": "Busque todas as políticas criadas na sua organização",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "C7Yk1QhcqMq0TfqD40rKF",
        "language": "curl",
        "code": "curl --location 'https://gyra-core.gyramais.com.br/credit-policy/policy?enabled=Boolean&protected=Boolean' \\\n--header 'authorization: Bearer string'",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "C7Yk1QhcqMq0TfqD40rKF"
  },
  "results": {
    "languages": [
      {
        "id": "CxD1w71W_iR8_EsN8NYEe",
        "language": "200",
        "customLabel": "",
        "code": "[\n\t{\n\t\t\"id\": \"6695a911174faccf7e063246\",\n\t\t\"name\": \"Política GYRA360 PJ\",\n\t\t\"documentType\": \"CNPJ\",\n\t\t\"reportType\": \"CUSTOMER_GYRA_360\",\n\t\t\"userId\": null,\n\t\t\"organizationId\": null,\n\t\t\"createdAt\": \"2024-07-15T22:56:17.139Z\",\n\t\t\"updatedAt\": \"2024-07-15T22:56:17.139Z\",\n\t\t\"enabled\": true\n\t},\n\t{\n\t\t\"id\": \"6695a911174faccf7e063247\",\n\t\t\"name\": \"Política GYRA360 PF\",\n\t\t\"documentType\": \"CPF\",\n\t\t\"reportType\": \"CUSTOMER_GYRA_360\",\n\t\t\"userId\": null,\n\t\t\"organizationId\": null,\n\t\t\"createdAt\": \"2024-07-15T22:56:17.228Z\",\n\t\t\"updatedAt\": \"2024-07-15T22:56:17.228Z\",\n\t\t\"enabled\": true\n\t},\n\t{\n\t\t\"id\": \"6695a911174faccf7e063248\",\n\t\t\"name\": \"Política GYRA360 PLUS PJ\",\n\t\t\"documentType\": \"CNPJ\",\n\t\t\"reportType\": \"CUSTOMER_GYRA_360_PLUS\",\n\t\t\"userId\": null,\n\t\t\"organizationId\": null,\n\t\t\"createdAt\": \"2024-07-15T22:56:17.320Z\",\n\t\t\"updatedAt\": \"2024-07-15T22:56:17.320Z\",\n\t\t\"enabled\": true\n\t},\n\t{\n\t\t\"id\": \"6695a911174faccf7e063249\",\n\t\t\"name\": \"Política GYRA360 PLUS PF\",\n\t\t\"documentType\": \"CPF\",\n\t\t\"reportType\": \"CUSTOMER_GYRA_360_PLUS\",\n\t\t\"userId\": null,\n\t\t\"organizationId\": null,\n\t\t\"createdAt\": \"2024-07-15T22:56:17.413Z\",\n\t\t\"updatedAt\": \"2024-07-15T22:56:17.413Z\",\n\t\t\"enabled\": true\n\t}\n]"
      },
      {
        "id": "RyJHUyWNaOr6E4XKy5dZs",
        "language": "403",
        "code": "{\n\t\"code\": 403,\n\t\"message\": \"Você não tem permissão para acessar este recurso.\"\n}",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "RyJHUyWNaOr6E4XKy5dZs"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [
      {
        "name": "enabled",
        "kind": "optional",
        "type": "Boolean",
        "description": "TRUE = políticas disponíveis para utilização",
        "children": []
      },
      {
        "name": "protected",
        "kind": "optional",
        "type": "Boolean",
        "description": "TRUE = Políticas padronizadas da GYRA+",
        "children": []
      }
    ],
    "headerParameters": [
      {
        "name": "authorization",
        "kind": "required",
        "type": "string",
        "description": "Bearer token",
        "children": []
      }
    ],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Query Parameter",
    "value": "queryParameters"
  },
  "hasTryItOut": true
}
```
:::

# Minhas políticas

Para gerar a listagem, primeiro será necessário gerar seu token de acesso através do [Autenticação](docId\:XhmpO6EqYQpne-i-7wRNd).

